ThemeMenuButton Class Reference

`#include <theme.h>`

Inheritance diagram for ThemeMenuButton:

## Public Member Functions

FXint | getDefaultWidth ()
long | onPaint (FXObject *, FXSelector, void *ptr)
| ThemeMenuButton (FXComposite *p, const FXString &text, FXIcon *ic=NULL, FXPopup *pup=NULL, FXuint opts=JUSTIFY_NORMAL|ICON_BEFORE_TEXT|MENUBUTTON_DOWN, FXint x=0, FXint y=0, FXint w=0, FXint h=0, FXint pl=DEFAULT_PAD, FXint pr=DEFAULT_PAD, FXint pt=DEFAULT_PAD, FXint pb=DEFAULT_PAD)

## Protected Member Functions

| ThemeMenuButton ()

## Detailed Description

Definition at line 154 of file theme.h.

## Constructor & Destructor Documentation

## ThemeMenuButton() [1/2]

ThemeMenuButton | ( |  | ) |

inline protected

Definition at line 158 of file theme.h.

## ThemeMenuButton() [2/2]

ThemeMenuButton | ( | FXComposite * | p,
|  | const FXString & | text,
|  | FXIcon * | ic = NULL,
|  | FXPopup * | pup = NULL,
|  | FXuint | opts = JUSTIFY_NORMAL|ICON_BEFORE_TEXT|MENUBUTTON_DOWN,
|  | FXint | x = 0,
|  | FXint | y = 0,
|  | FXint | w = 0,
|  | FXint | h = 0,
|  | FXint | pl = DEFAULT_PAD,
|  | FXint | pr = DEFAULT_PAD,
|  | FXint | pt = DEFAULT_PAD,
|  | FXint | pb = DEFAULT_PAD )

## Member Function Documentation

## getDefaultWidth()

FXint getDefaultWidth | ( |  | ) |

## onPaint()

long onPaint | ( | FXObject * | ,
|  | FXSelector | ,
|  | void * | ptr )

The documentation for this class was generated from the following file:

- theme.h